ini = 2249;
fin = 2669;
ini2 = 3241;

accTL(ini:fin,58)= accTL(ini:fin,1);
accTL(ini:fin,59)= accTL(ini:fin,2);
accTL(ini:fin,60)= accTL(ini:fin,3);
accTL(ini:fin,1)= accTL(ini-1,1);
accTL(ini:fin,2)= accTL(ini-1,2);
accTL(ini:fin,3)= accTL(ini-1,3);
magTL(ini:fin,59)= magTL(ini:fin,2);
magTL(ini:fin,60)= magTL(ini:fin,3);
magTL(ini:fin,58)= magTL(ini:fin,1);
magTL(ini:fin,1)= magTL(ini-1,1);
magTL(ini:fin,2)= magTL(ini-1,2);
magTL(ini:fin,3)= magTL(ini-1,3);
tempTL(ini:fin,20)= tempTL(ini:fin,1);
tempTL(ini:fin,1)= tempTL(ini-1,1);

accTL(ini2:end,58)= accTL(ini2:end,1);
accTL(ini2:end,59)= accTL(ini2:end,2);
accTL(ini2:end,60)= accTL(ini2:end,3);
accTL(ini2:end,1)= accTL(ini2-1,1);
accTL(ini2:end,2)= accTL(ini2-1,2);
accTL(ini2:end,3)= accTL(ini2-1,3);
magTL(ini2:end,59)= magTL(ini2:end,2);
magTL(ini2:end,60)= magTL(ini2:end,3);
magTL(ini2:end,58)= magTL(ini2:end,1);
magTL(ini2:end,1)= magTL(ini2-1,1);
magTL(ini2:end,2)= magTL(ini2-1,2);
magTL(ini2:end,3)= magTL(ini2-1,3);
tempTL(ini2:end,20)= tempTL(ini2:end,1);
tempTL(ini2:end,1)= tempTL(ini2-1,1);

angTLHR(ini:fin,39)= angTLHR(ini:fin,1);
angTLHR(ini:fin,40)= angTLHR(ini:fin,2);
angTLHR(ini:fin,1)= angTLHR(ini-1,1);
angTLHR(ini:fin,2)= angTLHR(ini-1,2);
angTLHR(ini2:end,39)= angTLHR(ini2:end,1);
angTLHR(ini2:end,40)= angTLHR(ini2:end,2);
angTLHR(ini2:end,1)= angTLHR(ini2-1,1);
angTLHR(ini2:end,2)= angTLHR(ini2-1,2);
tempTLHR(ini:fin,20)= tempTLHR(ini:fin,1);
tempTLHR(ini:fin,1)= tempTLHR(ini-1,1);
tempTLHR(ini2:end,20)= tempTLHR(ini2:end,1);
tempTLHR(ini2:end,1)= tempTLHR(ini2-1,1);